﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var i:Number = 0;
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			mover = new Sprite();
			addChild(mover);
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= (mouseX-stage.stageWidth/2)/50;
			mover.y+= (mouseY-stage.stageHeight/2)/50;
			drawElem(i++);
		}
		private function drawElem(nbr:Number):void
		{
			var elem:Sprite = new Sprite();
			
			
			elem.name = "ch"+i;
			elem.graphics.beginFill(i*=1.009,0);
			elem.graphics.lineStyle(Math.random()*i/40,0x9018723,.3);
			elem.graphics.drawCircle(Math.random()*.1+mouseX-mover.x,mouseY-mover.y,Math.tan(i*Math.PI/360)*150);
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
			
		}
		private function fadeOut(e:Event):void{
			e.currentTarget.x -= Math.random()*Math.PI/360;
			e.currentTarget.y -= Math.random()*Math.PI/360;
			e.currentTarget.alpha-=0.04;
			if(e.currentTarget.alpha<=0){
				if(mover.getChildByName(e.currentTarget.name)!=null){
					e.currentTarget.removeEventListener(Event.ENTER_FRAME,fadeOut);
					mover.removeChild(mover.getChildByName(e.currentTarget.name));
				}
			}
		}
	}
}